cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
3635
Views
10
Helpful
21
Replies
Beginner

WiSM 1 Upgrade to WiSM2

My company has been contracted to upgrade the 2 WiSM1 modules on a 6509 for a customer.  The hardware isn't changing but the software is being upgraded to WiSM2.  The cutsomer has HUNDREDS of AP's and dozens of VLANs and subnets (large municipality and school district).

Cisco SE's have been pushing the customer to purchase the WCS 7 software (they've been managing these Controllers independantly) stating there is no mechanism to upgrade WiSM1 configs to WiSM2.  I am vaguely familiar with the cisco controllers but have little WiSM experience. So i feel like i'm working without a net here.

So,

1) has anyone figured out a way to migrate from 1 to 2 without the WCS and without having to reinvent the wheel?

2)  How does the WCS make this transition easier?  What does it do to the WiSM1 configs to make them WiSM2 compatable? 

3)  Has anyone gone through this process and lived to tell about it?

Thanks in advance

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Hall of Fame Master

Re: WiSM 1 Upgrade to WiSM2

Yes it is supported. Only the 3600's require the 7.2.

Thanks,

Scott Fella

Sent from my iPhone

-Scott
*** Please rate helpful posts ***

View solution in original post

21 REPLIES 21
Highlighted
Hall of Fame Community Legend

WiSM 1 Upgrade to WiSM2

My company has been contracted to upgrade the 2 WiSM1 modules on a 6509 for a customer.  The hardware isn't changing but the software is being upgraded to WiSM2.

These two lines don't make sense.  When you upgrade from WiSM1 to WiSM2 it is a hardware upgrade.

Cisco SE's have been pushing the customer to purchase the WCS 7 software (they've been managing these Controllers independantly) stating there is no mechanism to upgrade WiSM1 configs to WiSM2. 

Get this down in writing because this is the d*mbest recommendation I've ever heard.  Why?

1.  WCS has been superseded by Cisco Prime NCS.  This announcement was made back in 2011.

2.  You CAN move your configs from WiSM1 line card, either module 1 or 2, to a WiSM-2 WITHOUT the use of a WCS/NCS.

Kindly read the Data Sheet of Cisco Prime NCS (link attached).

Highlighted
Beginner

WiSM 1 Upgrade to WiSM2

Thank you for your insight.

As per multiple conversations with a team of Cisco SE's, we were assured the WiSM could be a software only upgrade - that the hardware would not have to change.  I didn't think it made sense either, but who am I but a lowely vendor against the great and powerful Oz?

Prime NCS has never been mentioned, in any capacity, ever.  As a matter of fact I didn't know what it was until I clicked and read. 

Finally, I have been assured the WiSM1 configs would not run on the WiSM2 software, a statement verified in "the lab" by the same team of SE's.

I am not pleased with the conflicting information and feel even less comfortable moving forward than I did 10 minutes ago.

Highlighted
Hall of Fame Master

Re: WiSM 1 Upgrade to WiSM2

Take Leo's advice, he knows what he's talking about. Your SE's seem more on the sales side than the engineering side:)

As you know, the WiSM can only support up to 7.0.x, but the WiSM2 can support the new 7.2.x. What you will also need to look at is what AP's they have and if they are supported on 7.2.x if you plan on using that code. Make sure you meet the requirements on the 6500 if you decide on the WiSM2 and get NCS as Leo mentioned also.

Thanks,

Scott Fella

Sent from my iPhone

-Scott
*** Please rate helpful posts ***
Highlighted
Beginner

WiSM 1 Upgrade to WiSM2

Scott Fella wrote:

Take Leo's advice, he knows what he's talking about. Your SE's seem more on the sales side than the engineering side:)

As you know, the WiSM can only support up to 7.0.x, but the WiSM2 can support the new 7.2.x. What you will also need to look at is what AP's they have and if they are supported on 7.2.x if you plan on using that code.  Make sure you meet the requirements on the 6500 if you decide on the WiSM2 and get NCS as Leo mentioned also.

Thanks,

Scott Fella

Sent from my iPhone

The 6509 was upgraded to the latest IOS code about a month ago in preparation for this upgrade. 

I have every intention of following Leo's lead on this, and yours - quite frankly you two have provided more insight into this process than our local CAM and his SE team.

Highlighted
Hall of Fame Master

Re: WiSM 1 Upgrade to WiSM2

Good luck and you can alway post if you have questions or run into any issues.

Thanks,

Scott Fella

Sent from my iPhone

-Scott
*** Please rate helpful posts ***
Highlighted
Beginner

WiSM 1 Upgrade to WiSM2

oh, and

leolaohoo wrote:

2.  You CAN move your configs from WiSM1 line card, either module 1 or 2, to a WiSM-2 WITHOUT the use of a WCS/NCS.

how?

Highlighted
Hall of Fame Master

Re: WiSM 1 Upgrade to WiSM2

You backup the config and upload it to the WiSM2:) simple as that.

Thanks,

Scott Fella

Sent from my iPhone

-Scott
*** Please rate helpful posts ***
Highlighted
Hall of Fame Community Legend

Re: WiSM 1 Upgrade to WiSM2

Thanks for the vote of confidence Scott. 

Ok, here's the dig.  In ONE line card of the WiSM-1 there are TWO controllers.  Let's say that you take the config of one of the two controllers.  Let's also say that both of your controllers are running the latest 7.0.230.0 code.  Ok, so what you now do is load THE SAME 7.0.230.0 to the new WiSM-2 and IMPORT the WiSM-1, Controller 1 code into the new WiSM-2.  Other than the Management IP address, you are good to go and make further changes as you see fit.  Once you are happy, then you can go and load the newer 7.2.X code if you see fit too.

I cannot believe that your local Cisco SE did not know about the NCS.  Astounding!  Oh well, he's probably busy and didn't get his design vetted.

My company has been contracted to upgrade the 2 WiSM1 modules on a 6509 for a customer.

And one more thing ... HOW MANY WiSM-2 are you getting.  Two WiSM-1 equates to 600 WAPs.  If you just get ONE WiSM-2 and upgrade to the 7.0.230.0 this bumps up WAP support from 500 WAPs to 1000 WAPs.

Finally, I have been assured the WiSM1 configs would not run on the WiSM2 software, a statement verified in "the lab" by the same team of SE's.

I will refrain myself from making any (insulting) comments.  (1998 New Year's Resolution)

Highlighted
Beginner

WiSM 1 Upgrade to WiSM2

Here's an update:

The Customer was TOLD they were getting an upgraded WiSM - the assumption was made it was a hardware upgrade to WiSM2 and perpetuated throughout the project.  As far as I know the customer still thinks they're getting WiSM2's - but that's a moot point.

The scope-of-work is to upgrade the WiSM to allow for the use of the 1262N AP's using the existing WiSM1 modules and controllers in the 6509.  This being said, and seeing that 7.0.230 is the latest code out there, are the 1262n's supported by this 7.0 code? 

I've called the Partner Help Line and am awaiting a call-back but figured asking here couldn't hurt.

Highlighted
Hall of Fame Master

Re: WiSM 1 Upgrade to WiSM2

Yes it is supported. Only the 3600's require the 7.2.

Thanks,

Scott Fella

Sent from my iPhone

-Scott
*** Please rate helpful posts ***

View solution in original post

Highlighted

Re: WiSM 1 Upgrade to WiSM2

WISM 2 can be purchased in the following license models

WS-SVC-WISM2-1-K9 - 100 aps

WS-SVC-WISM2-3-K9 - 300 aps

WS-SVC-WISM2-5-K9 - 500 aps

WS-SVC-WISM2-K-K9 - 1000 aps

You can also purchase ADDER licenses in 100's and 200s

WISM2-100A - 100 aps

WISM2-200A - 200 aps

"Satisfaction does not come from knowing the solution, it comes from knowing why." - Rosalind Franklin
___________________________________________________________
Highlighted
Hall of Fame Community Legend

Re: WiSM 1 Upgrade to WiSM2

This being said, and seeing that 7.0.230 is the latest code out there, are the 1262n's supported by this 7.0 code?

The 1260 are supported on the WiSM-1 since the 7.0.116.0 firmware.

getting an upgraded WiSM

"getting an upgraded WiSM" and "upgrade the WiSM" are two different things, in my opinion.  I'd be confused too ... OOooooK.  I'd be jumping up and down if Cisco recommended that I upgrade our WiSM-1 hardware.

Highlighted
Hall of Fame Community Legend

Re: WiSM 1 Upgrade to WiSM2

The scope-of-work is to upgrade the WiSM to allow for the use of the 1262N AP's using the existing WiSM1 modules and controllers in the 6509.  This being said, and seeing that 7.0.230 is the latest code out there, are the 1262n's supported by this 7.0 code?

I would like to add a few things to my last post.

I would SERIOUSLY consider the WiSM-2 over the WiSM-1.  The WiSM-1 is on it's "last mile".  The 7.0.230.0 could well be the LAST firmware (plus/minus maintenance releases to fix glaring bugs).  Sure the 1260 will be supported by the WiSM-1 but what happens if your client gets a new model of WAPs, like the 3600 or anything newer?

We are now seriously contemplating upgrading our WiSM-1s to the WiSM-2 due to IPv6 and other new features with the 7.2.X code.

Talk to your local Cisco Account Manager and ask them if you can get more discounts if you TRADE-IN the WiSM-1s on a like-for-like basis.

You've got a school.  Normally Cisco will give you EXTRA discounts if you are an school.

Highlighted

Re: WiSM 1 Upgrade to WiSM2

Fair points Lei. You prove that you can be smart and pretty! Lol

Sent from Cisco Technical Support iPhone App

HTH, Steve ------------------------------------------------------------------------------------------------ Please remember to rate useful posts, and mark questions as answered
CreatePlease to create content
Content for Community-Ad

August's Community Spotlight Awards